Subject: Re: [PATCH v4 0/2] Teach diff to honor diff algorithms set through git attributes

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Feb 2023 10:51:55 -0800

Elijah Newren <[email-masked]> writes:

> I'll leave that up to you and John, but are we risking merging code
> that could go unused or that we need to fundamentally change?  I don't
> see how to handle the issues over at
> https://lore.kernel.org/git/[email-masked]/

If this is useful enough for desktop users already, then that is a
good enough reason to take it, I would say.

GitLab can easily add WebUI that says "You can define what diff
algorithm is used for files with which suffix" to allow you to
configure a table like this:

	json | histogram
	c    | patience
	*    | myers

and populate the server-side equivalent of .git/info/attributes and
.git/config based on that, and without anything further than the
posted patches, the result should just work, no?